Public Member Functions | List of all members
clan::Circle Class Reference
clanCore Math

Circle - Integer. More...

`#include <circle.h>`

Inheritance diagram for clan::Circle:

## Public Member Functions
| Circle (int x, int y, int radius)
| Circle (const Vec2< int > &p, int radius)
| Circle ()
| Circle (const Circlex< int > &copy)
Public Member Functions inherited from clan::Circlex< int >
| Circlex (intx, inty, intradius)
| Circlex (const Vec2< int > &p, intradius)
| Circlex ()
| Circlex (const Circlex< int > &copy)
bool | is_inside (const Vec2< int > &point)
Circlex< int > & | operator= (const Circlex< int > &copy)
| = operator. More...
bool | operator== (const Circlex< int > &circle) const
| == operator. More...
bool | operator!= (const Circlex< int > &circle) const
| != operator. More...

## Additional Inherited Members
Public Attributes inherited from clan::Circlex< int >
Vec2< int > | position
| Circle center point. More...
int | radius
| Circle radius. More...

## Detailed Description

Circle - Integer.

The documentation for this class was generated from the following file:

- circle.h